コンテンツへスキップ

ERNIE-Image Trainer

統合

モデルID ernie-image-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $2.40 2,400 APIクレジット · ≈ ₽253.11 このページで実行

APIキーを取得
Baidu トレーニング #lora#personalization#trainer

キャプション付き画像のzipからErnie Image用のLoRAを学習します

Baidu · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

キャプションファイルと対になった入力画像を含むZIPアーカイブのURL。画像ファイル名には001.jpgなどのROOT.EXTを使用し、対応するキャプションには001.txtなどのROOT.txtを使用します。キャプションテキストファイルがない画像にはdefault_captionを使用します。

デフォルト 2000

トレーニングの総ステップ数。

詳細設定 default_caption · learning_rate

欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。

デフォルト 0.0005

トレーニングの学習率。

POST /run/ernie-image-trainer?wait=20 見積もり → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

ERNIE-Image Trainerについて

キャプションテキストファイルが対応付けられた画像zipで、`images_data_url`からLoRAをファインチューニングします。`steps`は10~40000(デフォルト2000)、`learning_rate`のデフォルトは0.0005です。`default_caption`はキャプションファイルがない場合に使用されます。出力は設定ファイルとdiffusers LoRA重みです。

パラメータ

名前型 デフォルト許可される値 説明
images_data_url必須
型string
キャプションファイルと対になった入力画像を含むZIPアーカイブのURL。画像ファイル名には001.jpgなどのROOT.EXTを使用し、対応するキャプションには001.txtなどのROOT.txtを使用します。キャプションテキストファイルがない画像にはdefault_captionを使用します。
steps任意
型integer
デフォルト2000
10 – 40,000
トレーニングの総ステップ数。
default_caption任意
型string | null
欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。
learning_rate任意
型number
デフォルト0.0005
トレーニングの学習率。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ernie-image-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers形式のトレーニング済みLoRA重みを指すURL。
config_file
object {url, content_type, file_name, file_size}トレーニング済みモデルの設定ファイルを指すURL。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ernie-image-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt